Remove custom domain
Removes the custom domain from the status page and deletes the Cloudflare custom hostname.
DELETE
/status-pages/{id}/custom-domain
Removes the custom domain from the status page and deletes the Cloudflare custom hostname.
Authentication
Bearer Token (hu_api_key)
Path Parameters
id
string
required
path
Responses
200
Custom domain removed
No response body
400
No custom domain connected
curl -X DELETE 'https://happyuptime.com/api/v1/status-pages/string/custom-domain' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://happyuptime.com/api/v1/status-pages/string/custom-domain', { method: 'DELETE', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.delete('https://happyuptime.com/api/v1/status-pages/string/custom-domain', headers=headers)print(response.json())
API Playground
Try this endpoint
DELETE
/status-pages/{id}/custom-domain